Subject: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Michael Albinus <[email-masked]>
Date: Sun, 10 Jan 2016 09:49:13 +0100

Eli Zaretskii <[email-masked]> writes:

>> No ert predicate fails. Tramp simply hangs.
>
> Hangs before or after receiving the response from the remote?

Null response from the remote.

>> Maybe the command is simply too long for the shell?
>
> It's just 1.6K, hardly long enough for that, I think.

There are small limits on OS X:

# getconf PATH_MAX ~/
1024

On my GNU/Linux system, there is for example:

# getconf PATH_MAX ~/
4096

> Maybe you should just use the shorter command, it's good enough for
> what you wanted to test here, right?

This are two different commands for different purposes, raised by Tramp
from the test case. I wanted to show, that the R2L property of the path
name does not seem to be the problem.

I'll try to rearrange the shell commands, let's see whether it
works. Fortunately, I can test on the remote OS X machine, again.

Best regards, Michael.